# Uses of Interface
net.shibboleth.shared.primitive.NonnullSupplier

Packages that use NonnullSupplier
Package
Description
net.shibboleth.shared.collection
Additional implementations of, and helpers for working with, collections.
net.shibboleth.shared.net
Shared networking APIs and classes.
net.shibboleth.shared.primitive
A set of utilities dealing with Java's primitive types.
net.shibboleth.shared.servlet.impl
Java Servlet specification implementation classes.
net.shibboleth.shared.testing
Classes supporting testing of other classes.

## Uses of NonnullSupplier in net.shibboleth.shared.collection

Methods in net.shibboleth.shared.collection that return types with arguments of type NonnullSupplier
Modifier and Type
Method
Description
`static <T, A, R> Collector<T,A,NonnullSupplier<R>>`
CollectionSupport.`nonnullCollector(Collector<T,A,R> collector)`
Return a collector which collects to a `NonnullSupplier` whose content is the value returned by the collector you were given.

## Uses of NonnullSupplier in net.shibboleth.shared.net

Fields in net.shibboleth.shared.net declared as NonnullSupplier
Modifier and Type
Field
Description
`private NonnullSupplier<HttpServletRequest>`
CookieManager.`httpRequestSupplier`
Supplier for the servlet request to read from.
`private NonnullSupplier<HttpServletResponse>`
CookieManager.`httpResponseSupplier`
Supplier for the servlet response to write to.
Methods in net.shibboleth.shared.net with parameters of type NonnullSupplier
Modifier and Type
Method
Description
`void`
CookieManager.`setHttpServletRequestSupplier(NonnullSupplier<HttpServletRequest> requestSupplier)`
Set the Supplier for the servlet request to read from.
`void`
CookieManager.`setHttpServletResponseSupplier(NonnullSupplier<HttpServletResponse> responseSupplier)`
Set the supplier for the servlet response to write to.

## Uses of NonnullSupplier in net.shibboleth.shared.primitive

Methods in net.shibboleth.shared.primitive that return NonnullSupplier
Modifier and Type
Method
Description
`static <T> NonnullSupplier<T>`
NonnullSupplier.`of(T input)`
Return a `NonnullSupplier` that returns the input argument.

## Uses of NonnullSupplier in net.shibboleth.shared.servlet.impl

Classes in net.shibboleth.shared.servlet.impl that implement NonnullSupplier
Modifier and Type
Class
Description
`class`
`ThreadLocalHttpServletRequestSupplier`
An implementation of `NonnullSupplier` which looks up the current thread-local servlet request obtained from `HttpServletRequestResponseContext`, raising an `IllegalStateException` if null.
`class`
`ThreadLocalHttpServletResponseSupplier`
An implementation of `NonnullSupplier` which looks up the current thread-local servlet response obtained from `HttpServletRequestResponseContext`, raising an `IllegalStateException` if null.

## Uses of NonnullSupplier in net.shibboleth.shared.testing

Classes in net.shibboleth.shared.testing that implement NonnullSupplier
Modifier and Type
Class
Description
`final class`
`ConstantSupplier<T>`
Implementation of `NonnullSupplier` which returns an unchanging value.